<h2 mat-dialog-title>{{ title }}</h2>
<mat-dialog-content class="mat-typography pt-2 fs-7">
  <label>{{ titleDesc }}</label>

  <mat-form-field>
    <input matInput id="searchCtrl" [formControl]="searchCtrl" (keyup.enter)="onSearch()" />
    <button color="primary" mat-button mat-icon-button matSuffix (click)="onSearch()">
      <mat-icon>filter_alt</mat-icon>
    </button>
  </mat-form-field>
  <div class="mat-elevation-z0">
    <table mat-table [dataSource]="dataSource" class="data-table" aria-describedby="ตารางข้อมูล">
      <!-- Checkbox Column -->
      <ng-container matColumnDef="select">
        <th id="select" mat-header-cell *matHeaderCellDef>#</th>
        <td mat-cell *matCellDef="let row">
          <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)"> </mat-checkbox>
        </td>
      </ng-container>

      <ng-container matColumnDef="projectId">
        <th id="projectId" mat-header-cell *matHeaderCellDef>Project Id</th>
        <td mat-cell *matCellDef="let element">{{ element.projectId }}</td>
      </ng-container>

      <ng-container matColumnDef="segment1">
        <th id="segment1" mat-header-cell *matHeaderCellDef>Segment1</th>
        <td mat-cell *matCellDef="let element">{{ element.segment1 }}</td>
      </ng-container>

      <ng-container matColumnDef="description">
        <th id="description" mat-header-cell *matHeaderCellDef>Description</th>
        <td mat-cell *matCellDef="let element">{{ element.description }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[3, 5, 10]" showFirstLastButtons aria-label="Select page of periodic elements" (page)="pageEvent = paginatorEvent($event)"> </mat-paginator>
  </div>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button class="fs-7" mat-raised-button color="primary" [mat-dialog-close]="selection.selected">บันทึก</button>
  <button class="fs-7" mat-stroked-button color="basic" [mat-dialog-close]="false">ยกเลิก</button>
</mat-dialog-actions>
<app-loader></app-loader>
